Subject: bug#27263: [PATCH 2/2] gnu: perl: Fix CVE-2017-6512 in File::Path.

From: [email-masked] (Ludovic Courtès)
Date: Thu, 08 Jun 2017 14:07:24 +0200

Leo Famulari <[email-masked]> skribis:

> On Wed, Jun 07, 2017 at 01:18:09AM +0200, Ludovic Courtès wrote:
>> Leo Famulari <[email-masked]> skribis:
>> 
>> > * gnu/packages/perl.scm (perl)[replacement]: New field.
>> > (perl/fixed): New variable.
>> > * gnu/packages/patches/perl-file-path-CVE-2017-6512.patch: New file.
>> > * gnu/local.mk (dist_patch_DATA): Add it.
>> 
>> OK too.
>> 
>> I suppose we’ll have to apply it in core-updates too, right?
>
> And, done as c67d587f94173fd42d65097165afc5c512935646.

Great!

> I tested that this packaging of Perl 5.26.0 builds on master, then I
> "ported" the package to core-updates. I don't have the resources to
> build the Perl package on core-updates in a timely manner.

That’s a reasonable approach.  We’ll let Hydra build it anyway and
adjust if needed.

Thank you!

Ludo’.